%define upstream_name    Dist-Zilla-Plugin-Test-Kwalitee-Extra
%define upstream_version v0.2.1

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Dist::Zilla plugin for Test::Kwalitee::Extra
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(Data::Section)
BuildRequires: perl(Dist::Zilla)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::CPANTS::Analyse)
BuildRequires: perl(Moose)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Pod::Eventual)
BuildRequires: perl(Test::Kwalitee::Extra)
BuildRequires: perl(Test::More)
BuildRequires: perl(version)
BuildArch: noarch
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Data::Section-setup\\)

%description
This module is a the Dist::Zilla manpage plugin for the
Test::Kwalitee::Extra manpage. It creates 'xt/release/kwalitee.t' to call
the Test::Kwalitee::Extra manpage.

Most part of codes and tests are identical to the
Dist::Zilla::Plugin::Test::Kwalitee manpage. Only the followings are
changed points.

* *

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc README Changes LICENSE META.yml META.json
%{_mandir}/man3/*
%{perl_vendorlib}/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.2.1-7.mga6
+ Revision: 1026600
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.2.1-6.mga6
+ Revision: 970337
- Mageia 6 Mass Rebuild

* Sat Oct 03 2015 sander85 <sander85> 0.2.1-5.mga6
+ Revision: 885960
- Fix BRs

* Mon Oct 20 2014 tv <tv> 0.2.1-4.mga5
+ Revision: 792235
- add exclude

* Wed Oct 15 2014 umeabot <umeabot> 0.2.1-3.mga5
+ Revision: 749035
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Apr 21 2014 shlomif <shlomif> 0.2.1-1.mga5
+ Revision: 617273
- imported package perl-Dist-Zilla-Plugin-Test-Kwalitee-Extra


* Mon Apr 21 2014 cpan2dist v0.2.1-1mga
- initial mageia release, generated with cpan2dist
